| Boost.Locale

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Namespace List
- Namespace Members

Classes | Typedefs | Functions | Variables
boost::locale::utf Namespace Reference

Namespace that holds basic operations on UTF encoded sequences. More...

## Classes

struct | utf_traits
| UTF Traits class - functions to convert UTF sequences to and from Unicode code points. More...

## Typedefs

typedef uint32_t | code_point
| The integral type that can hold a Unicode code point.

## Functions

bool | is_valid_codepoint (code_point v)
| the function checks if v is a valid code point

## Variables

static const code_point | illegal = 0xFFFFFFFFu
| Special constant that defines illegal code point.
static const code_point | incomplete = 0xFFFFFFFEu
| Special constant that defines incomplete code point.

## Detailed Description

Namespace that holds basic operations on UTF encoded sequences.

All functions defined in this namespace do not require linking with Boost.Locale library